## oprofile 0.9.9

=== debian/changelog ===
oprofile (0.9.9-0ubuntu8) trusty; urgency=medium

  * debian/patches/Fix-up-event-codes-for-marked-architected-events.patch:
    Fix up event codes for marked architected events.  Thanks to
    Maynard Johnson <maynardj@us.ibm.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 04 Apr 2014 16:20:03 -0700

oprofile (0.9.9-0ubuntu7) trusty; urgency=medium

  * Drop debian/patches/static-libbfd-libopagnet-makefile.patch, which is
    causing libopagent to incorrectly avoid linking with libbfd, instead of
    linking with the available libbfd.so.
  * Amend debian/patches/static-libbfd.patch; we'll still link oprofile
    statically, but we want libopagent linked dynamically.  LP: #1148682.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Mar 2014 02:33:39 +0000

oprofile (0.9.9-0ubuntu6) trusty; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Add a package for the jvmti_oprofile runtime library.

  [ Steve Langasek ]
  * Build-depend on default-jdk, instead of a hard-coded list.
  * Fix broken 'clean' target.
  * debian/patches/op-POWER8.patch: Make cpu type POWER8E equivalent to
    POWER8.  Thanks to Maynard Johnson <maynardj@us.ibm.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Mar 2014 14:03:05 -0700

oprofile (0.9.9-0ubuntu5) trusty; urgency=medium

  * Build-depend on libpfm4-dev [ppc64 ppc64el].

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2014 14:02:05 +0100

oprofile (0.9.9-0ubuntu4) trusty; urgency=medium

  * More ppc64el fixes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2014 13:27:35 +0100

oprofile (0.9.9-0ubuntu3) trusty; urgency=medium

  * Build-depend on libiberty-dev.
  * Fix build on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2014 21:26:37 +0100

oprofile (0.9.9-0ubuntu2) trusty; urgency=medium

  * Set architecture to linux-any.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2014 21:10:48 +0100

oprofile (0.9.9-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2014 21:00:09 +0100

=== debian/control ===
Source: oprofile
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LIU Qi <liuqi82@gmail.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.9.3
Build-Depends:
 automake1.10,
 binutils-dev,
 libiberty-dev,
 libpfm4-dev [ppc64 ppc64el],
 debhelper (>= 7),
 docbook-xml,
 docbook-xsl,
 g++ (>>3.3.1),
 libpopt-dev,
 libqt4-dev,
 libtool,
 libx11-dev,
 pkg-config,
 qt4-dev-tools,
 xsltproc,
 zlib1g-dev,
 default-jdk
Homepage: http://oprofile.sourceforge.net
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/oprofile.git;a=summary
Vcs-git: git://git.printk.org/liuqi/debian/oprofile.git

Package: oprofile
Architecture: linux-any
Conflicts:
 oprofile-modules0.2,
 oprofile-modules0.3,
 oprofile-modules0.4,
 oprofile-modules0.5,
 oprofile-modules0.6,
 oprofile-modules0.7,
 oprofile-modules0.8
Depends:
 adduser,
 debconf | debconf-2.0,
 libopagent1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: oprofile-common
Recommends: binutils
Suggests: oprofile-gui
Description: system-wide profiler for Linux systems
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.
 .
 OProfile leverages the hardware performance counters of the CPU to
 enable profiling of a wide variety of interesting statistics, which
 can also be used for basic time-spent profiling. All code is profiled:
 hardware and software interrupt handlers, kernel modules, the kernel,
 shared libraries, and applications (the only exception being the
 OProfile interrupt handler itself). Note that different architectures
 can use different hardware mechanisms to collect data.
 .
 OProfile is currently in alpha status; however it has proven stable over
 a large number of differing configurations. As always, there is no warranty.

Package: libopagent1
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: oprofile (<< 0.9.6-1ubuntu1)
Description: system-wide profiler for Linux systems (opagent runtime library)
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.
 .
 This package contains the opagent runtime library.

Package: libjvmti-oprofile0
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: system-wide profiler for Linux systems (Java runtime library)
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.
 .
 This package contains the jvmti_oprofile runtime library for Java support.

Package: oprofile-gui
Architecture: linux-any
Replaces: oprofile
Depends: debconf | debconf-2.0, oprofile, ${misc:Depends}, ${shlibs:Depends}
Recommends: binutils
Description: system-wide profiler for Linux systems (GUI components)
 This package contains only the GUI components of the oprofile package.
 This allows oprofile to be used on machines that require a much
 smaller footprint, or that do not wish to use an X Windows interface.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: config-stamp 
config-stamp: $(QUILT_STAMPFN)
	cd $(CURDIR) && ACLOCAL=aclocal-1.10 AUTOMAKE=automake-1.10 ./autogen.sh
#	cd $(CURDIR) && autoreconf -vfi
	cd $(CURDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt4 --with-kernel-support --disable-werror --enable-gui=qt4 --with-java=/usr/lib/jvm/default-java
	touch config-stamp

build-arch: configure build-arch-stamp
build-arch-stamp: 
	# Add here commands to build the package
	cd $(CURDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || make distclean
	rm -f config-stamp build-arch-stamp 
	rm -f build-indep-stamp 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/oprofile.
	cd $(CURDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE) install 

	# Move some files to their proper location
	mv debian/oprofile/usr/bin/oprof_start \
	   debian/oprofile-gui/usr/bin
	cp debian/oprofile/usr/share/man/man1/oprofile.1 \
	   debian/oprofile-gui/usr/share/man/man1/oprof_start.1

	mkdir -p debian/libopagent1/usr/lib
	mkdir -p debian/libjvmti-oprofile0/usr/lib
	mv debian/oprofile/usr/lib/oprofile/libopagent.so.* \
	  debian/libopagent1/usr/lib/
	mv debian/oprofile/usr/lib/oprofile/libjvmti_oprofile.so.* \
	  debian/libjvmti-oprofile0/usr/lib/
	for i in debian/libopagent1/usr/lib/*.so.* \
	         debian/libjvmti-oprofile0/usr/lib/*.so.*; do \
	  b=$$(basename $$i); \
	  ln -sf ../$$b debian/oprofile/usr/lib/oprofile/$$b; \
	done
	ln -sf libopagent.so.1 debian/oprofile/usr/lib/libopagent.so
	ln -sf libjvmti_oprofile.so.0 debian/oprofile/usr/lib/libjvmti_oprofile.so

	# Fixup non-empty-dependency_libs-in-la-file lintian error
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

	#-- clean up some of the mess from
	# an over-exuberant install command
	#rm -f debian/oprofile/usr/share/mangled-name
	dh_link usr/share/man/man1/oprofile.1 usr/share/man/man8/oprofiled.8

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_installdocs
	dh_installexamples 
	dh_installman 
	dh_installchangelogs $(CURDIR)/ChangeLog $(CURDIR)/ChangeLog-2008
	dh_strip 
	dh_link 
	dh_compress 
	dh_compress 
	dh_fixperms 
	dh_makeshlibs
	dh_installdeb 
	dh_shlibdeps 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## oprofile 1.0.0

=== debian/changelog ===
oprofile (1.0.0-0ubuntu9) vivid; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Dec 2014 10:04:47 +0100

oprofile (1.0.0-0ubuntu8) vivid; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2014 00:35:05 +0100

oprofile (1.0.0-0ubuntu7) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141124.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Dec 2014 11:13:19 +0000

oprofile (1.0.0-0ubuntu6) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141111.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 19:49:10 +0000

oprofile (1.0.0-0ubuntu5) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141104.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Nov 2014 00:51:28 +0100

oprofile (1.0.0-0ubuntu4) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141023.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Oct 2014 15:18:30 +0000

oprofile (1.0.0-0ubuntu3) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 13:42:07 +0200

oprofile (1.0.0-0ubuntu2) utopic; urgency=medium

  * Don't compress documentation files. LP: #1364443.
  * Configure with --disable-account-check. LP: #1240923.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Oct 2014 01:40:59 +0200

oprofile (1.0.0-0ubuntu1) utopic; urgency=medium

  * oprofile 1.0.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Sep 2014 02:52:41 +0200

oprofile (1.0.0~rc2-0ubuntu1) utopic; urgency=medium

  * oprofile 1.0.0 release candidate 2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 14:59:02 +0200

oprofile (1.0.0~rc1-0ubuntu1) utopic; urgency=medium

  * oprofile 1.0.0 release candidate 1.
    - the opcontrol tool is removed.
  * Remove the oprofile-gui package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Aug 2014 09:44:45 +0200

oprofile (1.0.0~20140808-0ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk on 20140808.
  * Drop patches applied upstream.
  * Fix build failure. LP: #1354457.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2014 16:16:39 +0200

oprofile (0.9.9-0ubuntu11) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jul 2014 17:48:36 +0200

oprofile (0.9.9-0ubuntu10) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jul 2014 00:04:49 +0200

oprofile (0.9.9-0ubuntu9) utopic; urgency=medium

  * Switch to dh-autoreconf, and use the current version of automake.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Jul 2014 10:35:12 +0100

## oprofile 1.1.0

=== doc/srcdoc/Makefile ===
DOXYGEN=doxygen

.PHONY: clean

all: clean
	doxygen Doxyfile

clean:
	rm -rf html/

=== debian/changelog ===
oprofile (1.1.0-0ubuntu6) zesty; urgency=medium

  * No-change rebuild against binutils

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 05 Mar 2017 13:25:49 +0000

oprofile (1.1.0-0ubuntu5) yakkety; urgency=medium

  * Cherry-pick more platforms from upstream git.
    - Skylake Server (LP: #1591812)
    - Kabylake (LP: #1591643)

 -- Robert Hooker <sarvatt@ubuntu.com>  Thu, 08 Sep 2016 12:31:43 -0400

oprofile (1.1.0-0ubuntu4) yakkety; urgency=medium

  * Fix build failure with GCC 6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Aug 2016 15:40:28 +0200

oprofile (1.1.0-0ubuntu3) yakkety; urgency=medium

  * Rebuild for binutils 2.27.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Aug 2016 15:29:12 +0200

oprofile (1.1.0-0ubuntu2) yakkety; urgency=medium

  * Cherrypick platfroms from upstream git and mailing list:
    - Goldmont
    - z13 LP: #1581540

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 May 2016 11:10:58 +0100

oprofile (1.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 20:16:44 +0100

oprofile (1.0.0-0ubuntu11) xenial; urgency=medium

  * Fix build failure with binutils libs located in the multiarch libdir.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 21:53:50 +0100

oprofile (1.0.0-0ubuntu10) xenial; urgency=medium

  * No-change rebuild for binutils 2.26.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 16:43:59 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LIU Qi <liuqi82@gmail.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Build-Depends:
- automake1.10,
- binutils-dev,
+ binutils-dev (>= 2.27),
  libiberty-dev,
  libpfm4-dev [ppc64 ppc64el],
- debhelper (>= 7),
+ debhelper (>= 9),
+ dh-autoreconf,
  docbook-xml,
  docbook-xsl,
  g++ (>>3.3.1),
@@ -19,7 +19,6 @@
  libtool,
  libx11-dev,
  pkg-config,
- qt4-dev-tools,
  xsltproc,
  zlib1g-dev,
  default-jdk
@@ -85,13 +84,3 @@
  for turning data into information.
  .
  This package contains the jvmti_oprofile runtime library for Java support.
-
-Package: oprofile-gui
-Architecture: linux-any
-Replaces: oprofile
-Depends: debconf | debconf-2.0, oprofile, ${misc:Depends}, ${shlibs:Depends}
-Recommends: binutils
-Description: system-wide profiler for Linux systems (GUI components)
- This package contains only the GUI components of the oprofile package.
- This allows oprofile to be used on machines that require a much
- smaller footprint, or that do not wish to use an X Windows interface.

## oprofile 1.2.0

=== debian/changelog ===
oprofile (1.2.0-0ubuntu6) disco; urgency=medium

  * No-change rebuild for binutils 2.32.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Feb 2019 22:23:16 +0100

oprofile (1.2.0-0ubuntu5) cosmic; urgency=medium

  * No-change rebuild for binutils 2.31.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 07:36:52 +0000

oprofile (1.2.0-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild for binutils 2.31.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Jul 2018 17:28:05 +0200

oprofile (1.2.0-0ubuntu3) bionic; urgency=medium

  * No-change rebuild for binutils 2.30.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 17:18:45 +0100

oprofile (1.2.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild for binutils 2.29.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Sep 2017 15:13:27 +0200

oprofile (1.2.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
    - Adds POWER9 support. LP: #1705517.
    - Recognizes POWER8NV and POWER8NVL variants. LP: #1667474.
  * Remove obsolete patches.
  * Don't suggest the removed oprofile-gui package. LP: #1627159.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Aug 2017 16:39:35 +0200

oprofile (1.1.0-0ubuntu7) artful; urgency=medium

  * No-change rebuild against binutils 2.29

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Jul 2017 10:17:18 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
 Standards-Version: 3.9.8
 Build-Depends:
- binutils-dev (>= 2.27),
+ binutils-dev (>= 2.31),
  libiberty-dev,
  libpfm4-dev [ppc64 ppc64el],
  debhelper (>= 9),
@@ -44,7 +44,6 @@
  ${shlibs:Depends}
 Replaces: oprofile-common
 Recommends: binutils
-Suggests: oprofile-gui
 Description: system-wide profiler for Linux systems
  OProfile is a performance profiling tool for Linux systems, capable
  of profiling all running code at low overhead.  It consists of a

## oprofile 1.3.0

=== debian/changelog ===
oprofile (1.3.0-0ubuntu13) focal; urgency=medium

  * No-change upload for binutils 2.34.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 21:33:34 +0100

oprofile (1.3.0-0ubuntu12) focal; urgency=medium

  * Fix build with binutils 2.34.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jan 2020 12:33:19 +0100

oprofile (1.3.0-0ubuntu11) focal; urgency=medium

  * No-change upload for binutils 2.33.50.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2020 12:41:34 +0100

oprofile (1.3.0-0ubuntu10) focal; urgency=medium

  * No-change upload for binutils 2.33.1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 16:08:51 +0200

oprofile (1.3.0-0ubuntu9) eoan; urgency=medium

  * No-change upload for binutils 2.33.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 13:24:24 +0200

oprofile (1.3.0-0ubuntu8) eoan; urgency=medium

  * No-change upload for binutils 2.32.90.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Sep 2019 09:51:47 +0200

oprofile (1.3.0-0ubuntu7) eoan; urgency=medium

  * No-change upload for binutils 2.32.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Sep 2019 10:06:42 +0200

oprofile (1.3.0-0ubuntu6) eoan; urgency=medium

  * No-change upload for binutils 2.32.51.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:14:33 +0000

oprofile (1.3.0-0ubuntu5) eoan; urgency=medium

  * No-change rebuild for binutils 2.32.51.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2019 17:57:00 +0200

oprofile (1.3.0-0ubuntu4) eoan; urgency=medium

  * No-change rebuild for binutils 2.32.51.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Aug 2019 22:20:05 +0200

oprofile (1.3.0-0ubuntu3) eoan; urgency=medium

  * No-change rebuild for binutils 2.32.51.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Jul 2019 21:44:44 +0200

oprofile (1.3.0-0ubuntu2) eoan; urgency=medium

  * No-change rebuild for binutils 2.32.51.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2019 10:38:31 +0200

oprofile (1.3.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
  * oprofile now recommends libjvmti-oprofile0. LP: #1723412.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Jun 2019 09:39:11 +0200

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Replaces: oprofile-common
-Recommends: binutils
+Recommends: binutils, libjvmti-oprofile0
 Description: system-wide profiler for Linux systems
  OProfile is a performance profiling tool for Linux systems, capable
  of profiling all running code at low overhead.  It consists of a

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,23 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
-CFLAGS = -Wall -g
+export DEB_CFLAGS_MAINT_PREPEND = -Wall
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+export AUTOMAKE := automake --foreign
 
 configure: config-stamp 
 config-stamp: $(QUILT_STAMPFN)
-	cd $(CURDIR) && ACLOCAL=aclocal-1.10 AUTOMAKE=automake-1.10 ./autogen.sh
-#	cd $(CURDIR) && autoreconf -vfi
-	cd $(CURDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt4 --with-kernel-support --disable-werror --enable-gui=qt4 --with-java=/usr/lib/jvm/default-java
+	dh_autoreconf
+	cd $(CURDIR) && ./configure \
+		--host=$(DEB_HOST_GNU_TYPE) \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--with-kernel-support \
+		--disable-werror \
+		--disable-account-check \
+		--with-java=/usr/lib/jvm/default-java \
+		$(shell dpkg-buildflags --export=cmdline)
 	touch config-stamp
 
 build-arch: configure build-arch-stamp
@@ -42,6 +46,7 @@
 	[ ! -f Makefile ] || make distclean
 	rm -f config-stamp build-arch-stamp 
 	rm -f build-indep-stamp 
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -52,12 +57,6 @@
 
 	# Add here commands to install the package into debian/oprofile.
 	cd $(CURDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE) install 
-
-	# Move some files to their proper location
-	mv debian/oprofile/usr/bin/oprof_start \
-	   debian/oprofile-gui/usr/bin
-	cp debian/oprofile/usr/share/man/man1/oprofile.1 \
-	   debian/oprofile-gui/usr/share/man/man1/oprof_start.1
 
 	mkdir -p debian/libopagent1/usr/lib
 	mkdir -p debian/libjvmti-oprofile0/usr/lib
@@ -81,6 +80,8 @@
 	#rm -f debian/oprofile/usr/share/mangled-name
 	dh_link usr/share/man/man1/oprofile.1 usr/share/man/man8/oprofiled.8
 
+	find debian/oprofile -name '*.la' | xargs -r rm -f
+
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
 binary-indep: build install
@@ -95,8 +96,7 @@
 	dh_installchangelogs $(CURDIR)/ChangeLog $(CURDIR)/ChangeLog-2008
 	dh_strip 
 	dh_link 
-	dh_compress 
-	dh_compress 
+	dh_compress -X.xsd -X.xml
 	dh_fixperms 
 	dh_makeshlibs
 	dh_installdeb

## oprofile 1.4.0

=== debian/changelog ===
oprofile (1.4.0-0ubuntu10) questing; urgency=medium

  * No-change rebuild for binutils 2.45.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Jul 2025 09:25:46 +0200

oprofile (1.4.0-0ubuntu9) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:50:11 +0200

oprofile (1.4.0-0ubuntu8) noble; urgency=medium

  * Fix FTBFS due to libbfd's requirement to be linked against libzstd
    and libsframe. (LP: #2045844)
    - d/control: Build-Depend on libzstd-dev.
    - d/p/static-libbfd.patch: Check for -lzstd and -lsframe.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 07 Dec 2023 12:21:47 +0000

oprofile (1.4.0-0ubuntu7) hirsute; urgency=medium

  * Link with the static bfd library.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2021 21:31:18 +0100

oprofile (1.4.0-0ubuntu6) hirsute; urgency=medium

  * Rebuild against new binutils 2.35.90.20210113.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 14:44:45 +0100

oprofile (1.4.0-0ubuntu5) hirsute; urgency=medium

  * No-change upload for binutils 2.35.50.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2021 10:48:03 +0100

oprofile (1.4.0-0ubuntu4) hirsute; urgency=medium

  * No-change upload for binutils 2.35.50.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Dec 2020 12:42:14 +0100

oprofile (1.4.0-0ubuntu3) hirsute; urgency=medium

  * No-change upload for binutils 2.35.50.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Dec 2020 16:08:10 +0100

oprofile (1.4.0-0ubuntu2) hirsute; urgency=medium

  * No-change upload for binutils 2.35.50.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 17:23:10 +0100

oprofile (1.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Sep 2020 13:14:53 +0200

oprofile (1.3.0-0ubuntu17) groovy; urgency=medium

  * No-change upload for binutils 2.35.1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Sep 2020 12:06:29 +0200

oprofile (1.3.0-0ubuntu16) groovy; urgency=medium

  * No-change upload for binutils 2.35.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2020 12:49:32 +0200

oprofile (1.3.0-0ubuntu15) groovy; urgency=medium

  * No-change upload for binutils 2.35.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jul 2020 19:55:31 +0200

oprofile (1.3.0-0ubuntu14) groovy; urgency=medium

  * Drop the build dependency on qt4.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jul 2020 14:19:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,22 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LIU Qi <liuqi82@gmail.com>
-Uploaders: Roberto C. Sanchez <roberto@connexer.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Build-Depends:
- binutils-dev (>= 2.31),
+ binutils-dev,
  libiberty-dev,
  libpfm4-dev [ppc64 ppc64el],
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 11),
  docbook-xml,
  docbook-xsl,
- g++ (>>3.3.1),
  libpopt-dev,
- libqt4-dev,
  libtool,
  libx11-dev,
  pkg-config,
  xsltproc,
  zlib1g-dev,
- default-jdk
+ default-jdk,
+ libzstd-dev
 Homepage: http://oprofile.sourceforge.net
 Vcs-Browser: http://git.printk.org/?p=liuqi/debian/oprofile.git;a=summary
 Vcs-git: git://git.printk.org/liuqi/debian/oprofile.git

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 export AUTOMAKE := automake --foreign
 
-configure: config-stamp 
 config-stamp: $(QUILT_STAMPFN)
 	dh_autoreconf
 	cd $(CURDIR) && ./configure \
@@ -27,7 +26,7 @@
 		$(shell dpkg-buildflags --export=cmdline)
 	touch config-stamp
 
-build-arch: configure build-arch-stamp
+build-arch: config-stamp build-arch-stamp
 build-arch-stamp: 
 	# Add here commands to build the package
 	cd $(CURDIR) && DESTDIR=$(CURDIR)/debian/oprofile $(MAKE)

=== debian/watch ===
version=3
http://sf.net/oprofile/oprofile-([\d.]+)\.tar\.gz
